function addVehicleMenuItems(id)
	TriggerEvent("menu:addModuleSubMenu", id, "Spawn Vehicle", addVehicleMenuVehicles, nil)
	TriggerEvent("menu:addModuleSubMenu", id, "Change Vehicle Color", addVehicleMenuColors, nil)
	TriggerEvent("menu:addModuleItem", id, "Fix Vehicle", nil, false, function(id, state) doSomething("fix") end)
	TriggerEvent("menu:addModuleItem", id, "Clean Vehicle", nil, false, function(id, state) doSomething("clean") end)
end

function addVehicleMenuVehicles(id)
	TriggerEvent("menu:addModuleItem", id, "Adder", nil, false, function(id, state) SpawnVehicleToPlayer("ADDER") end)
	TriggerEvent("menu:addModuleItem", id, "Faggio", nil, false, function(id, state) SpawnVehicleToPlayer("FAGGIO") end)
	TriggerEvent("menu:addModuleItem", id, "Futo", nil, false, function(id, state) SpawnVehicleToPlayer("FUTO") end)
	TriggerEvent("menu:addModuleItem", id, "Ingot", nil, false, function(id, state) SpawnVehicleToPlayer("INGOT") end)
	TriggerEvent("menu:addModuleItem", id, "Sultan", nil, false, function(id, state) SpawnVehicleToPlayer("SULTAN") end)
end

function addVehicleMenuColors(id)
	TriggerEvent("menu:addModuleItem", id, "Black", nil, false, function(id, state) SetPlayerVehicleColor(0, 0, 0) end)
	TriggerEvent("menu:addModuleItem", id, "Blue", nil, false, function(id, state) SetPlayerVehicleColor(0, 0, 255) end)
	TriggerEvent("menu:addModuleItem", id, "Green", nil, false, function(id, state) SetPlayerVehicleColor(0, 255, 0) end)
	TriggerEvent("menu:addModuleItem", id, "Red", nil, false, function(id, state) SetPlayerVehicleColor(255, 0, 0) end)
	TriggerEvent("menu:addModuleItem", id, "White", nil, false, function(id, state) SetPlayerVehicleColor(255, 255, 255) end)
end

function SpawnVehicleToPlayer(model)
	local x, y, z = table.unpack(GetEntityCoords(GetPlayerPed(-1), true))
	while not HasModelLoaded(model) do
		Wait(1)
		RequestModel(model)
	end
	
	local veh = CreateVehicle(model, x + 2.5, y + 2.5, z + 1, 0.0, true, true)
	drawNotification("~g~Vehicle spawned!")
end

function SetPlayerVehicleColor(r, g, b)
	local playerPed = GetPlayerPed(-1)
	
	local playerVeh = GetVehiclePedIsIn(playerPed, false)
	if not DoesEntityExist(playerVeh) then
		drawNotification("~r~Not in a vehicle!")
	else
		SetVehicleCustomPrimaryColour(playerVeh, r, g, b)
		SetVehicleCustomSecondaryColour(playerVeh, r, g, b)
		drawNotification("~g~Repainted vehicle!")
	end
end

function doSomething(action)
	local playerPed = GetPlayerPed(-1)
	local playerVeh = GetVehiclePedIsIn(playerPed, false)

	if not DoesEntityExist(playerVeh) then
		drawNotification("~r~Not in a vehicle!")
	else
		if action == "fix" then
			SetVehicleFixed(playerVeh)
			drawNotification("~g~Vehicle repaired.")
		elseif action == "clean" then
			SetVehicleDirtLevel(playerVeh, 0.0)
			drawNotification("~g~Vehicle cleaned.")
		end
	end
end